#
# spec file for package ytalk
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ytalk
Version:        3.3.0
Release:        bp156.3.6
Summary:        Multi-User replacement for Unix talk client
License:        MIT
Group:          Productivity/Networking/Talk/Clients
Url:            http://www.impul.se/ytalk/
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ncurses-devel

%description
YTalk is, in essence, a multiuser chat program. It works almost exactly
like the UNIX talk program and even communicates with the same talk
daemons, but YTalk allows for multiple connections.



Authors:
--------
    Britt Yenne <yenne@austin.eds.com>
    Roger Espel Llima <roger.espel.llima@pobox.com>
    Jessica Peterson <angel@metawire.org>

%prep
%setup

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install

%files
%defattr(-,root,root)
%doc ChangeLog README*  
%config /etc/ytalkrc
/usr/bin/ytalk
%doc %{_mandir}/man1/*

%changelog
* Wed Apr  4 2012 jengelh@medozas.de
- Remove unneeded autoregenerate calls
- Strip redundant tags/sections from specfile
- Build in parallel with %%_smp_mflags
* Wed Dec 21 2011 coolo@suse.com
- add autoconf as buildrequire to avoid implicit dependency
* Wed Dec 21 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Thu Mar 29 2007 rguenther@suse.de
- add ncurses-devel BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Mar 14 2005 postadal@suse.cz
- updated to version 3.3.0 [#71806]
- removed obsoleted patches
* Thu Aug 19 2004 postadal@suse.cz
- updated to version 3.1.2
  * -x command line switch now enables X11 mode instead of disabling it
  * scrolling is enabled by default
* Wed May  5 2004 postadal@suse.cz
- fixed gcc warnings
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Tue Jan 15 2002 cihlar@suse.cz
- use %%{_lib}
* Tue Feb 27 2001 cihlar@suse.cz
- added suse_update_config
- improved installation to build root
- fixed %%files
- fixed Copyright
* Wed Jun  7 2000 nadvornik@suse.cz
- sorted
* Tue Apr 25 2000 smid@suse.de
- added url and buildroot
* Sun Jan 30 2000 kukuk@suse.de
- Move /usr/man -> /usr/share/man
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jun 17 1999 kukuk@suse.de
- Split from nkita, update to 3.1.1
